/****************************************************************************
 *
 * Copyright (c) 2012 MediaTek Inc. All Rights Reserved.
 * --------------------
 * This software is protected by copyright and the information contained
 * herein is confidential. The software may not be copied and the information
 * contained herein may not be used or disclosed except with the written
 * permission of MediaTek Inc.
 *
 ****************************************************************************/

/****************************************************************************
 *       This file has been automatically generated by genmemfiles.py       *
 *    Any manual modifications will be lost when the file is regenerated    *
 ****************************************************************************/

// timestamp: 1344910579

static A3M_CHAR8 const _a3m__base_vert_data[] =
  "\x2f\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a"
  "\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a"
  "\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a"
  "\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x0a"
  "\x20\x2a\x0a\x20\x2a\x20\x43\x6f\x70\x79\x72\x69\x67\x68\x74\x20\x28\x63\x29"
  "\x20\x32\x30\x31\x32\x20\x4d\x65\x64\x69\x61\x54\x65\x6b\x20\x49\x6e\x63\x2e"
  "\x20\x41\x6c\x6c\x20\x52\x69\x67\x68\x74\x73\x20\x52\x65\x73\x65\x72\x76\x65"
  "\x64\x2e\x0a\x20\x2a\x20\x2d\x2d\x2d\x2d\x2d\x2d\x2d\x2d\x2d\x2d\x2d\x2d\x2d"
  "\x2d\x2d\x2d\x2d\x2d\x2d\x2d\x0a\x20\x2a\x20\x54\x68\x69\x73\x20\x73\x6f\x66"
  "\x74\x77\x61\x72\x65\x20\x69\x73\x20\x70\x72\x6f\x74\x65\x63\x74\x65\x64\x20"
  "\x62\x79\x20\x63\x6f\x70\x79\x72\x69\x67\x68\x74\x20\x61\x6e\x64\x20\x74\x68"
  "\x65\x20\x69\x6e\x66\x6f\x72\x6d\x61\x74\x69\x6f\x6e\x20\x63\x6f\x6e\x74\x61"
  "\x69\x6e\x65\x64\x0a\x20\x2a\x20\x68\x65\x72\x65\x69\x6e\x20\x69\x73\x20\x63"
  "\x6f\x6e\x66\x69\x64\x65\x6e\x74\x69\x61\x6c\x2e\x20\x54\x68\x65\x20\x73\x6f"
  "\x66\x74\x77\x61\x72\x65\x20\x6d\x61\x79\x20\x6e\x6f\x74\x20\x62\x65\x20\x63"
  "\x6f\x70\x69\x65\x64\x20\x61\x6e\x64\x20\x74\x68\x65\x20\x69\x6e\x66\x6f\x72"
  "\x6d\x61\x74\x69\x6f\x6e\x0a\x20\x2a\x20\x63\x6f\x6e\x74\x61\x69\x6e\x65\x64"
  "\x20\x68\x65\x72\x65\x69\x6e\x20\x6d\x61\x79\x20\x6e\x6f\x74\x20\x62\x65\x20"
  "\x75\x73\x65\x64\x20\x6f\x72\x20\x64\x69\x73\x63\x6c\x6f\x73\x65\x64\x20\x65"
  "\x78\x63\x65\x70\x74\x20\x77\x69\x74\x68\x20\x74\x68\x65\x20\x77\x72\x69\x74"
  "\x74\x65\x6e\x0a\x20\x2a\x20\x70\x65\x72\x6d\x69\x73\x73\x69\x6f\x6e\x20\x6f"
  "\x66\x20\x4d\x65\x64\x69\x61\x54\x65\x6b\x20\x49\x6e\x63\x2e\x0a\x20\x2a\x0a"
  "\x20\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a"
  "\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a"
  "\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a"
  "\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a\x2a"
  "\x2f\x0a\x2f\x2a\x2a\x20\x5c\x66\x69\x6c\x65\x0a\x20\x2a\x20\x44\x65\x66\x61"
  "\x75\x6c\x74\x20\x76\x65\x72\x74\x65\x78\x20\x73\x68\x61\x64\x65\x72\x20\x75"
  "\x73\x65\x64\x20\x77\x68\x65\x6e\x20\x72\x65\x6e\x64\x65\x72\x69\x6e\x67\x20"
  "\x67\x6c\x6f\x20\x66\x69\x6c\x65\x20\x63\x6f\x6e\x74\x65\x6e\x74\x73\x2e\x0a"
  "\x20\x2a\x2f\x0a\x0a\x2f\x2a\x0a\x20\x2a\x20\x43\x61\x6c\x75\x6c\x61\x74\x65"
  "\x73\x20\x61\x6d\x62\x69\x65\x6e\x74\x2c\x20\x64\x69\x66\x66\x75\x73\x65\x2c"
  "\x20\x73\x70\x65\x63\x75\x6c\x61\x72\x20\x6c\x69\x67\x68\x74\x69\x6e\x67\x20"
  "\x61\x6e\x64\x20\x74\x65\x78\x74\x75\x72\x65\x20\x63\x6f\x6f\x72\x64\x69\x6e"
  "\x61\x74\x65\x73\x20\x66\x6f\x72\x0a\x20\x2a\x20\x73\x70\x68\x65\x72\x65\x2d"
  "\x6d\x61\x70\x70\x65\x64\x20\x65\x6e\x76\x69\x72\x6f\x6e\x6d\x65\x6e\x74\x20"
  "\x73\x68\x61\x64\x69\x6e\x67\x0a\x20\x2a\x2f\x0a\x0a\x70\x72\x65\x63\x69\x73"
  "\x69\x6f\x6e\x20\x6d\x65\x64\x69\x75\x6d\x70\x20\x66\x6c\x6f\x61\x74\x3b\x0a"
  "\x0a\x2f\x2a\x20\x54\x68\x69\x73\x20\x73\x68\x6f\x75\x6c\x64\x20\x6d\x61\x74"
  "\x63\x68\x20\x74\x68\x65\x20\x6d\x61\x78\x69\x6d\x75\x6d\x75\x6d\x20\x6e\x75"
  "\x6d\x62\x65\x72\x20\x6f\x66\x20\x6c\x69\x67\x68\x74\x73\x20\x69\x6e\x20\x74"
  "\x68\x65\x20\x72\x65\x6e\x64\x65\x72\x65\x72\x20\x2a\x2f\x0a\x23\x64\x65\x66"
  "\x69\x6e\x65\x20\x4d\x41\x58\x5f\x4c\x49\x47\x48\x54\x53\x20\x38\x0a\x0a\x0a"
  "\x2f\x2a\x20\x54\x72\x61\x6e\x73\x66\x6f\x72\x6d\x61\x74\x69\x6f\x6e\x20\x75"
  "\x6e\x69\x66\x6f\x72\x6d\x73\x20\x2a\x2f\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20"
  "\x6d\x61\x74\x34\x20\x75\x5f\x74\x5f\x6d\x6f\x64\x65\x6c\x3b\x20\x20\x20\x20"
  "\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x4d\x6f\x64\x65\x6c"
  "\x20\x74\x6f\x20\x77\x6f\x72\x6c\x64\x20\x73\x70\x61\x63\x65\x20\x74\x72\x61"
  "\x6e\x73\x66\x6f\x72\x6d\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x6d\x61\x74\x34"
  "\x20\x75\x5f\x74\x5f\x76\x69\x65\x77\x3b\x20\x20\x20\x20\x20\x20\x20\x20\x20"
  "\x20\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x57\x6f\x72\x6c\x64\x20\x74\x6f\x20"
  "\x76\x69\x65\x77\x20\x73\x70\x61\x63\x65\x20\x74\x72\x61\x6e\x73\x66\x6f\x72"
  "\x6d\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x6d\x61\x74\x34\x20\x75\x5f\x74\x5f"
  "\x6d\x6f\x64\x65\x6c\x56\x69\x65\x77\x3b\x20\x20\x20\x20\x20\x20\x20\x20\x20"
  "\x20\x20\x2f\x2f\x20\x4d\x6f\x64\x65\x6c\x20\x74\x6f\x20\x76\x69\x65\x77\x20"
  "\x73\x70\x61\x63\x65\x20\x74\x72\x61\x6e\x73\x66\x6f\x72\x6d\x0a\x75\x6e\x69"
  "\x66\x6f\x72\x6d\x20\x6d\x61\x74\x34\x20\x75\x5f\x74\x5f\x6d\x6f\x64\x65\x6c"
  "\x56\x69\x65\x77\x50\x72\x6f\x6a\x65\x63\x74\x69\x6f\x6e\x3b\x20\x2f\x2f\x20"
  "\x4d\x6f\x64\x65\x6c\x20\x74\x6f\x20\x70\x72\x6f\x6a\x65\x63\x74\x69\x6f\x6e"
  "\x20\x73\x70\x61\x63\x65\x20\x74\x72\x61\x6e\x73\x66\x6f\x72\x6d\x0a\x75\x6e"
  "\x69\x66\x6f\x72\x6d\x20\x6d\x61\x74\x33\x20\x75\x5f\x74\x5f\x6e\x6f\x72\x6d"
  "\x61\x6c\x3b\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x2f\x2f"
  "\x20\x4d\x6f\x64\x65\x6c\x20\x74\x6f\x20\x77\x6f\x72\x6c\x64\x20\x73\x70\x61"
  "\x63\x65\x20\x6e\x6f\x72\x6d\x61\x6c\x20\x74\x72\x61\x6e\x73\x66\x6f\x72\x6d"
  "\x0a\x0a\x0a\x2f\x2a\x20\x4c\x69\x67\x68\x74\x69\x6e\x67\x20\x75\x6e\x69\x66"
  "\x6f\x72\x6d\x73\x20\x2a\x2f\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x76\x65\x63"
  "\x34\x20\x75\x5f\x6c\x5f\x63\x61\x6d\x65\x72\x61\x50\x6f\x73\x69\x74\x69\x6f"
  "\x6e\x3b\x20\x20\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x43\x61\x6d\x65\x72\x61"
  "\x20\x70\x6f\x73\x69\x74\x69\x6f\x6e\x20\x69\x6e\x20\x77\x6f\x72\x6c\x64\x20"
  "\x73\x70\x61\x63\x65\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x69\x6e\x74\x20\x75"
  "\x5f\x6c\x5f\x63\x6f\x75\x6e\x74\x3b\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20"
  "\x20\x20\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x4e\x75\x6d\x62\x65\x72\x20\x6f"
  "\x66\x20\x6c\x69\x67\x68\x74\x73\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x76\x65"
  "\x63\x34\x20\x75\x5f\x6c\x5f\x70\x6f\x73\x69\x74\x69\x6f\x6e\x5b\x4d\x41\x58"
  "\x5f\x4c\x49\x47\x48\x54\x53\x5d\x3b\x20\x20\x2f\x2f\x20\x4c\x69\x67\x68\x74"
  "\x20\x70\x6f\x73\x69\x74\x69\x6f\x6e\x20\x69\x6e\x20\x77\x6f\x72\x6c\x64\x20"
  "\x73\x70\x61\x63\x65\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x76\x65\x63\x34\x20"
  "\x75\x5f\x6c\x5f\x61\x6d\x62\x69\x65\x6e\x74\x5b\x4d\x41\x58\x5f\x4c\x49\x47"
  "\x48\x54\x53\x5d\x3b\x20\x20\x20\x2f\x2f\x20\x41\x6d\x62\x69\x65\x6e\x74\x20"
  "\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66\x20\x6c\x69\x67\x68\x74\x0a\x75\x6e\x69"
  "\x66\x6f\x72\x6d\x20\x76\x65\x63\x34\x20\x75\x5f\x6c\x5f\x64\x69\x66\x66\x75"
  "\x73\x65\x5b\x4d\x41\x58\x5f\x4c\x49\x47\x48\x54\x53\x5d\x3b\x20\x20\x20\x2f"
  "\x2f\x20\x44\x69\x66\x66\x75\x73\x65\x20\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66"
  "\x20\x6c\x69\x67\x68\x74\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x76\x65\x63\x34"
  "\x20\x75\x5f\x6c\x5f\x73\x70\x65\x63\x75\x6c\x61\x72\x5b\x4d\x41\x58\x5f\x4c"
  "\x49\x47\x48\x54\x53\x5d\x3b\x20\x20\x2f\x2f\x20\x53\x70\x65\x63\x75\x6c\x61"
  "\x72\x20\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66\x20\x6c\x69\x67\x68\x74\x0a\x0a"
  "\x2f\x2f\x20\x31\x2f\x28\x72\x61\x64\x69\x75\x73\x20\x6f\x66\x20\x6c\x69\x74"
  "\x20\x73\x70\x68\x65\x72\x65\x29\x20\x6d\x65\x61\x73\x75\x72\x65\x64\x20\x69"
  "\x6e\x20\x77\x6f\x72\x6c\x64\x20\x73\x70\x61\x63\x65\x20\x75\x6e\x69\x74\x73"
  "\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x66\x6c\x6f\x61\x74\x20\x75\x5f\x6c\x5f"
  "\x72\x61\x64\x69\x75\x73\x5f\x72\x65\x63\x69\x70\x72\x6f\x63\x61\x6c\x5b\x4d"
  "\x41\x58\x5f\x4c\x49\x47\x48\x54\x53\x5d\x3b\x0a\x0a\x0a\x2f\x2a\x20\x4d\x61"
  "\x74\x65\x72\x69\x61\x6c\x20\x75\x6e\x69\x66\x6f\x72\x6d\x73\x20\x2a\x2f\x0a"
  "\x75\x6e\x69\x66\x6f\x72\x6d\x20\x76\x65\x63\x34\x20\x75\x5f\x6d\x5f\x61\x6d"
  "\x62\x69\x65\x6e\x74\x43\x6f\x6c\x6f\x75\x72\x3b\x20\x20\x20\x2f\x2f\x20\x41"
  "\x6d\x62\x69\x65\x6e\x74\x20\x63\x6f\x6c\x6f\x75\x72\x20\x28\x61\x6c\x70\x68"
  "\x61\x20\x69\x67\x6e\x6f\x72\x65\x64\x29\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20"
  "\x76\x65\x63\x34\x20\x75\x5f\x6d\x5f\x64\x69\x66\x66\x75\x73\x65\x43\x6f\x6c"
  "\x6f\x75\x72\x3b\x20\x20\x20\x2f\x2f\x20\x44\x69\x66\x66\x75\x73\x65\x20\x63"
  "\x6f\x6c\x6f\x75\x72\x20\x77\x69\x74\x68\x20\x61\x6c\x70\x68\x61\x2e\x0a\x75"
  "\x6e\x69\x66\x6f\x72\x6d\x20\x76\x65\x63\x34\x20\x75\x5f\x6d\x5f\x73\x70\x65"
  "\x63\x75\x6c\x61\x72\x43\x6f\x6c\x6f\x75\x72\x3b\x20\x20\x2f\x2f\x20\x53\x70"
  "\x65\x63\x75\x6c\x61\x72\x20\x63\x6f\x6c\x6f\x75\x72\x20\x28\x61\x6c\x70\x68"
  "\x61\x20\x69\x67\x6e\x6f\x72\x65\x64\x29\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20"
  "\x76\x65\x63\x34\x20\x75\x5f\x6d\x5f\x65\x6d\x69\x73\x73\x69\x76\x65\x43\x6f"
  "\x6c\x6f\x75\x72\x3b\x20\x20\x2f\x2f\x20\x45\x6d\x69\x73\x73\x69\x76\x65\x20"
  "\x63\x6f\x6c\x6f\x75\x72\x20\x28\x61\x6c\x70\x68\x61\x20\x69\x67\x6e\x6f\x72"
  "\x65\x64\x29\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x66\x6c\x6f\x61\x74\x20\x75"
  "\x5f\x6d\x5f\x73\x68\x69\x6e\x69\x6e\x65\x73\x73\x3b\x20\x20\x20\x20\x20\x20"
  "\x2f\x2f\x20\x45\x78\x70\x6f\x6e\x65\x6e\x74\x20\x75\x73\x65\x64\x20\x69\x6e"
  "\x20\x73\x70\x65\x63\x75\x6c\x61\x72\x20\x63\x61\x6c\x63\x75\x6c\x61\x74\x69"
  "\x6f\x6e\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x66\x6c\x6f\x61\x74\x20\x75\x5f"
  "\x6d\x5f\x73\x70\x65\x63\x75\x6c\x61\x72\x4c\x65\x76\x65\x6c\x3b\x20\x20\x2f"
  "\x2f\x20\x53\x70\x65\x63\x75\x6c\x61\x72\x20\x63\x6f\x6c\x6f\x75\x72\x20\x73"
  "\x63\x61\x6c\x65\x20\x66\x61\x63\x74\x6f\x72\x0a\x75\x6e\x69\x66\x6f\x72\x6d"
  "\x20\x66\x6c\x6f\x61\x74\x20\x75\x5f\x6d\x5f\x73\x65\x6c\x66\x49\x6c\x6c\x75"
  "\x6d\x69\x6e\x61\x74\x69\x6f\x6e\x3b\x20\x2f\x2f\x20\x45\x6d\x69\x73\x73\x69"
  "\x76\x65\x20\x63\x6f\x6c\x6f\x75\x72\x20\x73\x63\x61\x6c\x65\x20\x66\x61\x63"
  "\x74\x6f\x72\x0a\x75\x6e\x69\x66\x6f\x72\x6d\x20\x66\x6c\x6f\x61\x74\x20\x75"
  "\x5f\x6d\x5f\x6f\x70\x61\x63\x69\x74\x79\x3b\x20\x20\x20\x20\x20\x20\x20\x20"
  "\x2f\x2f\x20\x4f\x70\x61\x63\x69\x74\x79\x20\x76\x61\x6c\x75\x65\x0a\x0a\x0a"
  "\x2f\x2a\x20\x56\x65\x72\x74\x65\x78\x20\x61\x74\x74\x72\x69\x62\x75\x74\x65"
  "\x73\x20\x2a\x2f\x0a\x61\x74\x74\x72\x69\x62\x75\x74\x65\x20\x76\x65\x63\x34"
  "\x20\x61\x5f\x70\x6f\x73\x69\x74\x69\x6f\x6e\x3b\x20\x20\x20\x20\x2f\x2f\x20"
  "\x50\x6f\x73\x69\x74\x69\x6f\x6e\x20\x69\x6e\x20\x6d\x6f\x64\x65\x6c\x20\x73"
  "\x70\x61\x63\x65\x0a\x61\x74\x74\x72\x69\x62\x75\x74\x65\x20\x76\x65\x63\x33"
  "\x20\x61\x5f\x6e\x6f\x72\x6d\x61\x6c\x3b\x20\x20\x20\x20\x20\x20\x2f\x2f\x20"
  "\x4e\x6f\x72\x6d\x61\x6c\x20\x69\x6e\x20\x6d\x6f\x64\x65\x6c\x20\x73\x70\x61"
  "\x63\x65\x0a\x61\x74\x74\x72\x69\x62\x75\x74\x65\x20\x76\x65\x63\x32\x20\x61"
  "\x5f\x75\x76\x30\x3b\x20\x20\x20\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x54\x65"
  "\x78\x74\x75\x72\x65\x20\x63\x6f\x6f\x72\x64\x69\x6e\x61\x74\x65\x0a\x0a\x0a"
  "\x2f\x2a\x20\x56\x61\x72\x79\x69\x6e\x67\x73\x20\x2a\x2f\x0a\x2f\x2f\x20\x41"
  "\x70\x70\x61\x72\x65\x6e\x74\x20\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66\x20\x76"
  "\x65\x72\x74\x65\x78\x20\x74\x61\x6b\x69\x6e\x67\x20\x69\x6e\x74\x6f\x20\x61"
  "\x63\x63\x6f\x75\x6e\x74\x20\x61\x6d\x62\x69\x65\x6e\x74\x20\x63\x6f\x6c\x6f"
  "\x75\x72\x20\x6f\x66\x20\x6c\x69\x67\x68\x74\x2c\x0a\x2f\x2f\x20\x64\x69\x73"
  "\x74\x61\x6e\x63\x65\x20\x66\x72\x6f\x6d\x20\x6c\x69\x67\x68\x74\x20\x61\x6e"
  "\x64\x20\x61\x6d\x62\x69\x65\x6e\x74\x20\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66"
  "\x20\x6d\x61\x74\x65\x72\x69\x61\x6c\x0a\x76\x61\x72\x79\x69\x6e\x67\x20\x6c"
  "\x6f\x77\x70\x20\x76\x65\x63\x34\x20\x76\x5f\x61\x6d\x62\x69\x65\x6e\x74\x43"
  "\x6f\x6c\x6f\x75\x72\x3b\x0a\x0a\x2f\x2f\x20\x41\x70\x70\x61\x72\x65\x6e\x74"
  "\x20\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66\x20\x76\x65\x72\x74\x65\x78\x20\x74"
  "\x61\x6b\x69\x6e\x67\x20\x69\x6e\x74\x6f\x20\x61\x63\x63\x6f\x75\x6e\x74\x20"
  "\x64\x69\x66\x66\x75\x73\x65\x20\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66\x20\x6c"
  "\x69\x67\x68\x74\x2c\x0a\x2f\x2f\x20\x64\x69\x73\x74\x61\x6e\x63\x65\x20\x66"
  "\x72\x6f\x6d\x20\x6c\x69\x67\x68\x74\x2c\x20\x64\x69\x66\x66\x75\x73\x65\x20"
  "\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66\x20\x6d\x61\x74\x65\x72\x69\x61\x6c\x20"
  "\x61\x6e\x64\x20\x61\x6e\x67\x6c\x65\x20\x6f\x66\x20\x69\x6e\x63\x69\x64\x65"
  "\x6e\x63\x65\x20\x6f\x66\x0a\x2f\x2f\x20\x6c\x69\x67\x68\x74\x0a\x76\x61\x72"
  "\x79\x69\x6e\x67\x20\x6c\x6f\x77\x70\x20\x76\x65\x63\x34\x20\x76\x5f\x64\x69"
  "\x66\x66\x75\x73\x65\x43\x6f\x6c\x6f\x75\x72\x3b\x0a\x0a\x2f\x2f\x20\x41\x70"
  "\x70\x61\x72\x65\x6e\x74\x20\x63\x6f\x6c\x6f\x75\x72\x20\x6f\x66\x20\x76\x65"
  "\x72\x74\x65\x78\x20\x74\x61\x6b\x69\x6e\x67\x20\x69\x6e\x74\x6f\x20\x61\x63"
  "\x63\x6f\x75\x6e\x74\x20\x73\x70\x65\x63\x75\x6c\x61\x72\x20\x63\x6f\x6c\x6f"
  "\x75\x72\x20\x6f\x66\x20\x6c\x69\x67\x68\x74\x2c\x0a\x2f\x2f\x20\x64\x69\x73"
  "\x74\x61\x6e\x63\x65\x20\x66\x72\x6f\x6d\x20\x6c\x69\x67\x68\x74\x2c\x20\x73"
  "\x70\x65\x63\x75\x6c\x61\x72\x20\x63\x6f\x6c\x6f\x75\x72\x20\x61\x6e\x64\x20"
  "\x73\x68\x69\x6e\x69\x6e\x65\x73\x73\x20\x6f\x66\x20\x6d\x61\x74\x65\x72\x69"
  "\x61\x6c\x2c\x20\x61\x6e\x67\x6c\x65\x20\x6f\x66\x0a\x2f\x2f\x20\x69\x6e\x63"
  "\x69\x64\x65\x6e\x63\x65\x20\x6f\x66\x20\x6c\x69\x67\x68\x74\x20\x61\x6e\x64"
  "\x20\x76\x69\x65\x77\x20\x76\x65\x63\x74\x6f\x72\x0a\x76\x61\x72\x79\x69\x6e"
  "\x67\x20\x6c\x6f\x77\x70\x20\x76\x65\x63\x34\x20\x76\x5f\x73\x70\x65\x63\x75"
  "\x6c\x61\x72\x43\x6f\x6c\x6f\x75\x72\x3b\x0a\x0a\x2f\x2f\x20\x54\x65\x78\x74"
  "\x75\x72\x65\x20\x63\x6f\x6f\x72\x64\x69\x6e\x61\x74\x65\x20\x63\x6f\x70\x69"
  "\x65\x64\x20\x66\x72\x6f\x6d\x20\x76\x65\x72\x74\x65\x78\x20\x61\x74\x74\x72"
  "\x69\x62\x75\x74\x65\x0a\x76\x61\x72\x79\x69\x6e\x67\x20\x6c\x6f\x77\x70\x20"
  "\x76\x65\x63\x32\x20\x76\x5f\x74\x65\x78\x43\x6f\x6f\x72\x64\x3b\x0a\x0a\x2f"
  "\x2f\x20\x54\x65\x78\x74\x75\x72\x65\x20\x63\x6f\x6f\x72\x64\x69\x6e\x61\x74"
  "\x65\x20\x66\x6f\x72\x20\x73\x70\x68\x65\x72\x65\x2d\x6d\x61\x70\x70\x65\x64"
  "\x20\x72\x65\x66\x6c\x65\x63\x74\x69\x6f\x6e\x73\x0a\x76\x61\x72\x79\x69\x6e"
  "\x67\x20\x6c\x6f\x77\x70\x20\x76\x65\x63\x32\x20\x76\x5f\x73\x70\x68\x65\x72"
  "\x65\x43\x6f\x6f\x72\x64\x3b\x0a\x0a\x0a\x0a\x76\x6f\x69\x64\x20\x6d\x61\x69"
  "\x6e\x28\x29\x0a\x7b\x0a\x20\x20\x2f\x2f\x20\x46\x69\x6e\x61\x6c\x20\x70\x6f"
  "\x73\x69\x74\x69\x6f\x6e\x20\x69\x73\x20\x6d\x6f\x64\x65\x6c\x20\x70\x6f\x73"
  "\x69\x74\x69\x6f\x6e\x20\x6d\x75\x6c\x74\x69\x70\x6c\x69\x65\x64\x20\x62\x79"
  "\x20\x6d\x6f\x64\x65\x6c\x20\x76\x69\x65\x77\x20\x70\x72\x6f\x6a\x65\x63\x74"
  "\x69\x6f\x6e\x20\x6d\x61\x74\x72\x69\x78\x0a\x20\x20\x67\x6c\x5f\x50\x6f\x73"
  "\x69\x74\x69\x6f\x6e\x20\x3d\x20\x75\x5f\x74\x5f\x6d\x6f\x64\x65\x6c\x56\x69"
  "\x65\x77\x50\x72\x6f\x6a\x65\x63\x74\x69\x6f\x6e\x20\x2a\x20\x61\x5f\x70\x6f"
  "\x73\x69\x74\x69\x6f\x6e\x3b\x0a\x0a\x20\x20\x2f\x2f\x20\x50\x61\x73\x73\x20"
  "\x74\x68\x72\x6f\x75\x67\x68\x20\x74\x65\x78\x74\x75\x72\x65\x20\x63\x6f\x6f"
  "\x72\x64\x69\x6e\x61\x74\x65\x0a\x20\x20\x76\x5f\x74\x65\x78\x43\x6f\x6f\x72"
  "\x64\x20\x3d\x20\x61\x5f\x75\x76\x30\x3b\x0a\x0a\x20\x20\x2f\x2f\x20\x43\x6f"
  "\x6e\x76\x65\x72\x74\x20\x6e\x6f\x72\x6d\x61\x6c\x20\x74\x6f\x20\x77\x6f\x72"
  "\x6c\x64\x20\x73\x70\x61\x63\x65\x20\x61\x6e\x64\x20\x6e\x6f\x72\x6d\x61\x6c"
  "\x69\x7a\x65\x0a\x20\x20\x76\x65\x63\x33\x20\x6e\x6f\x72\x6d\x61\x6c\x20\x3d"
  "\x20\x6e\x6f\x72\x6d\x61\x6c\x69\x7a\x65\x28\x20\x75\x5f\x74\x5f\x6e\x6f\x72"
  "\x6d\x61\x6c\x20\x2a\x20\x61\x5f\x6e\x6f\x72\x6d\x61\x6c\x20\x29\x3b\x0a\x0a"
  "\x20\x20\x2f\x2f\x20\x43\x61\x6c\x63\x75\x6c\x61\x74\x65\x20\x76\x65\x72\x74"
  "\x65\x78\x20\x70\x6f\x73\x69\x74\x69\x6f\x6e\x20\x69\x6e\x20\x77\x6f\x72\x6c"
  "\x64\x20\x73\x70\x61\x63\x65\x20\x66\x6f\x72\x20\x6c\x69\x67\x68\x74\x69\x6e"
  "\x67\x20\x63\x61\x6c\x75\x6c\x61\x74\x69\x6f\x6e\x73\x0a\x20\x20\x76\x65\x63"
  "\x33\x20\x76\x65\x72\x74\x65\x78\x50\x6f\x73\x69\x74\x69\x6f\x6e\x20\x3d\x20"
  "\x28\x75\x5f\x74\x5f\x6d\x6f\x64\x65\x6c\x20\x2a\x20\x61\x5f\x70\x6f\x73\x69"
  "\x74\x69\x6f\x6e\x29\x2e\x78\x79\x7a\x3b\x0a\x0a\x20\x20\x2f\x2f\x20\x43\x61"
  "\x6c\x63\x75\x6c\x61\x74\x65\x20\x76\x65\x63\x74\x6f\x72\x20\x66\x72\x6f\x6d"
  "\x20\x76\x65\x72\x74\x65\x78\x20\x74\x6f\x20\x63\x61\x6d\x65\x72\x61\x20\x69"
  "\x6e\x20\x77\x6f\x72\x6c\x64\x20\x73\x70\x61\x63\x65\x0a\x20\x20\x76\x65\x63"
  "\x33\x20\x76\x65\x72\x74\x65\x78\x54\x6f\x43\x61\x6d\x65\x72\x61\x4e\x6f\x72"
  "\x6d\x20\x3d\x20\x6e\x6f\x72\x6d\x61\x6c\x69\x7a\x65\x28\x20\x75\x5f\x6c\x5f"
  "\x63\x61\x6d\x65\x72\x61\x50\x6f\x73\x69\x74\x69\x6f\x6e\x2e\x78\x79\x7a\x20"
  "\x2d\x20\x76\x65\x72\x74\x65\x78\x50\x6f\x73\x69\x74\x69\x6f\x6e\x20\x29\x3b"
  "\x0a\x0a\x20\x20\x2f\x2f\x20\x49\x6e\x69\x74\x69\x61\x6c\x69\x7a\x65\x20\x63"
  "\x6f\x6c\x6f\x75\x72\x20\x63\x6f\x6d\x70\x6f\x6e\x65\x6e\x74\x73\x20\x62\x65"
  "\x66\x6f\x72\x65\x20\x61\x63\x63\x75\x6d\x75\x6c\x61\x74\x69\x6f\x6e\x20\x66"
  "\x6f\x72\x20\x65\x61\x63\x68\x20\x6c\x69\x67\x68\x74\x0a\x20\x20\x76\x5f\x61"
  "\x6d\x62\x69\x65\x6e\x74\x43\x6f\x6c\x6f\x75\x72\x20\x3d\x20\x76\x65\x63\x34"
  "\x28\x20\x30\x2e\x2c\x20\x30\x2e\x2c\x20\x30\x2e\x2c\x20\x31\x2e\x20\x29\x3b"
  "\x0a\x20\x20\x76\x5f\x64\x69\x66\x66\x75\x73\x65\x43\x6f\x6c\x6f\x75\x72\x20"
  "\x3d\x20\x76\x65\x63\x34\x28\x20\x30\x2e\x2c\x20\x30\x2e\x2c\x20\x30\x2e\x2c"
  "\x20\x31\x2e\x20\x29\x3b\x0a\x20\x20\x76\x5f\x73\x70\x65\x63\x75\x6c\x61\x72"
  "\x43\x6f\x6c\x6f\x75\x72\x20\x3d\x20\x76\x65\x63\x34\x28\x20\x30\x2e\x2c\x20"
  "\x30\x2e\x2c\x20\x30\x2e\x2c\x20\x31\x2e\x20\x29\x3b\x0a\x0a\x20\x20\x2f\x2f"
  "\x20\x45\x6e\x73\x75\x72\x65\x20\x6e\x75\x6d\x62\x65\x72\x20\x6f\x66\x20\x6c"
  "\x69\x67\x68\x74\x73\x20\x64\x6f\x65\x73\x20\x6e\x6f\x74\x20\x65\x78\x63\x65"
  "\x65\x64\x20\x61\x72\x72\x61\x79\x20\x6c\x65\x6e\x67\x74\x68\x73\x0a\x20\x20"
  "\x69\x6e\x74\x20\x6c\x69\x67\x68\x74\x43\x6f\x75\x6e\x74\x20\x3d\x20\x28\x75"
  "\x5f\x6c\x5f\x63\x6f\x75\x6e\x74\x20\x3c\x3d\x20\x4d\x41\x58\x5f\x4c\x49\x47"
  "\x48\x54\x53\x29\x20\x3f\x20\x75\x5f\x6c\x5f\x63\x6f\x75\x6e\x74\x20\x3a\x20"
  "\x4d\x41\x58\x5f\x4c\x49\x47\x48\x54\x53\x3b\x0a\x0a\x20\x20\x2f\x2f\x20\x43"
  "\x61\x6c\x63\x75\x6c\x61\x74\x65\x20\x63\x6f\x6c\x6f\x75\x72\x20\x63\x6f\x6d"
  "\x70\x6f\x6e\x65\x6e\x74\x73\x20\x66\x6f\x72\x20\x65\x61\x63\x68\x20\x6c\x69"
  "\x67\x68\x74\x0a\x20\x20\x66\x6f\x72\x20\x28\x69\x6e\x74\x20\x69\x20\x3d\x20"
  "\x30\x3b\x20\x69\x20\x3c\x20\x6c\x69\x67\x68\x74\x43\x6f\x75\x6e\x74\x3b\x20"
  "\x2b\x2b\x69\x29\x0a\x20\x20\x7b\x0a\x20\x20\x20\x20\x2f\x2f\x20\x43\x61\x6c"
  "\x63\x75\x6c\x61\x74\x65\x20\x76\x65\x63\x74\x6f\x72\x20\x66\x72\x6f\x6d\x20"
  "\x76\x65\x72\x74\x65\x78\x20\x74\x6f\x20\x6c\x69\x67\x68\x74\x20\x69\x6e\x20"
  "\x77\x6f\x72\x6c\x64\x20\x73\x70\x61\x63\x65\x0a\x20\x20\x20\x20\x76\x65\x63"
  "\x33\x20\x76\x65\x72\x74\x65\x78\x54\x6f\x4c\x69\x67\x68\x74\x20\x3d\x20\x75"
  "\x5f\x6c\x5f\x70\x6f\x73\x69\x74\x69\x6f\x6e\x5b\x69\x5d\x2e\x78\x79\x7a\x20"
  "\x2d\x20\x76\x65\x72\x74\x65\x78\x50\x6f\x73\x69\x74\x69\x6f\x6e\x3b\x0a\x0a"
  "\x20\x20\x20\x20\x2f\x2f\x20\x43\x61\x6c\x63\x75\x6c\x61\x74\x65\x20\x61\x74"
  "\x74\x65\x6e\x75\x61\x74\x69\x6f\x6e\x20\x64\x75\x65\x20\x74\x6f\x20\x64\x69"
  "\x73\x74\x61\x6e\x63\x65\x20\x66\x72\x6f\x6d\x20\x6c\x69\x67\x68\x74\x0a\x20"
  "\x20\x20\x20\x2f\x2f\x20\x54\x68\x69\x73\x20\x61\x70\x70\x72\x6f\x78\x69\x6d"
  "\x61\x74\x65\x73\x20\x74\x6f\x20\x74\x68\x61\x74\x20\x75\x73\x65\x64\x20\x33"
  "\x64\x73\x20\x4d\x61\x78\x0a\x20\x20\x20\x20\x66\x6c\x6f\x61\x74\x20\x6c\x69"
  "\x67\x68\x74\x4c\x65\x76\x65\x6c\x20\x3d\x0a\x20\x20\x20\x20\x20\x20\x73\x71"
  "\x72\x74\x28\x20\x31\x2e\x30\x20\x2d\x20\x6c\x65\x6e\x67\x74\x68\x28\x76\x65"
  "\x72\x74\x65\x78\x54\x6f\x4c\x69\x67\x68\x74\x29\x20\x2a\x20\x75\x5f\x6c\x5f"
  "\x72\x61\x64\x69\x75\x73\x5f\x72\x65\x63\x69\x70\x72\x6f\x63\x61\x6c\x5b\x69"
  "\x5d\x20\x29\x3b\x0a\x0a\x20\x20\x20\x20\x2f\x2f\x20\x49\x66\x20\x6c\x69\x67"
  "\x68\x74\x4c\x65\x76\x65\x6c\x20\x69\x73\x20\x70\x6f\x73\x69\x74\x69\x76\x65"
  "\x20\x74\x68\x65\x6e\x20\x74\x68\x69\x73\x20\x6c\x69\x67\x68\x74\x20\x63\x6f"
  "\x6e\x74\x72\x69\x62\x75\x74\x65\x73\x0a\x20\x20\x20\x20\x69\x66\x28\x20\x6c"
  "\x69\x67\x68\x74\x4c\x65\x76\x65\x6c\x20\x3e\x20\x30\x2e\x30\x20\x29\x0a\x20"
  "\x20\x20\x20\x7b\x0a\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x43\x61\x6c\x63\x75"
  "\x6c\x61\x74\x65\x20\x64\x69\x66\x66\x75\x73\x65\x20\x6c\x69\x67\x68\x74\x69"
  "\x6e\x67\x20\x69\x66\x20\x74\x68\x65\x20\x61\x6e\x67\x6c\x65\x20\x62\x65\x74"
  "\x77\x65\x65\x6e\x20\x74\x68\x65\x20\x73\x75\x72\x66\x61\x63\x65\x20\x6e\x6f"
  "\x72\x6d\x61\x6c\x20\x61\x6e\x64\x0a\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x6c"
  "\x69\x67\x68\x74\x20\x72\x61\x79\x20\x69\x73\x20\x6c\x65\x73\x73\x20\x74\x68"
  "\x61\x6e\x20\x39\x30\x20\x64\x65\x67\x72\x65\x65\x73\x0a\x20\x20\x20\x20\x20"
  "\x20\x76\x65\x63\x33\x20\x76\x65\x72\x74\x65\x78\x54\x6f\x4c\x69\x67\x68\x74"
  "\x4e\x6f\x72\x6d\x20\x3d\x20\x6e\x6f\x72\x6d\x61\x6c\x69\x7a\x65\x28\x20\x76"
  "\x65\x72\x74\x65\x78\x54\x6f\x4c\x69\x67\x68\x74\x20\x29\x3b\x0a\x20\x20\x20"
  "\x20\x20\x20\x66\x6c\x6f\x61\x74\x20\x6e\x6f\x72\x6d\x61\x6c\x44\x6f\x74\x4c"
  "\x69\x67\x68\x74\x20\x3d\x20\x64\x6f\x74\x28\x6e\x6f\x72\x6d\x61\x6c\x2c\x20"
  "\x76\x65\x72\x74\x65\x78\x54\x6f\x4c\x69\x67\x68\x74\x4e\x6f\x72\x6d\x20\x29"
  "\x3b\x0a\x20\x20\x20\x20\x20\x20\x69\x66\x28\x20\x6e\x6f\x72\x6d\x61\x6c\x44"
  "\x6f\x74\x4c\x69\x67\x68\x74\x20\x3e\x20\x30\x2e\x30\x20\x29\x0a\x20\x20\x20"
  "\x20\x20\x20\x7b\x0a\x20\x20\x20\x20\x20\x20\x20\x20\x76\x5f\x64\x69\x66\x66"
  "\x75\x73\x65\x43\x6f\x6c\x6f\x75\x72\x20\x2b\x3d\x20\x28\x20\x6e\x6f\x72\x6d"
  "\x61\x6c\x44\x6f\x74\x4c\x69\x67\x68\x74\x20\x2a\x20\x6c\x69\x67\x68\x74\x4c"
  "\x65\x76\x65\x6c\x20\x29\x0a\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20"
  "\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x2a\x20\x75\x5f"
  "\x6c\x5f\x64\x69\x66\x66\x75\x73\x65\x5b\x69\x5d\x3b\x0a\x20\x20\x20\x20\x20"
  "\x20\x7d\x0a\x0a\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x43\x61\x6c\x63\x75\x6c"
  "\x61\x74\x65\x20\x73\x70\x65\x63\x75\x6c\x61\x72\x20\x6c\x69\x67\x68\x74\x69"
  "\x6e\x67\x20\x75\x73\x69\x6e\x67\x20\x42\x6c\x69\x6e\x6e\x20\x6d\x6f\x64\x65"
  "\x6c\x2e\x0a\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x53\x70\x65\x63\x75\x6c\x61"
  "\x72\x20\x69\x6e\x74\x65\x6e\x73\x69\x74\x79\x20\x70\x65\x61\x6b\x73\x20\x77"
  "\x68\x65\x72\x65\x20\x74\x68\x65\x20\x6e\x6f\x72\x6d\x61\x6c\x20\x6c\x69\x65"
  "\x73\x20\x65\x78\x61\x63\x74\x6c\x79\x20\x68\x61\x6c\x66\x77\x61\x79\x20\x62"
  "\x65\x74\x77\x65\x65\x6e\x0a\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x74\x68\x65"
  "\x20\x6c\x69\x67\x68\x74\x20\x73\x6f\x75\x72\x63\x65\x20\x61\x6e\x64\x20\x74"
  "\x68\x65\x20\x65\x79\x65\x0a\x20\x20\x20\x20\x20\x20\x76\x65\x63\x33\x20\x68"
  "\x61\x6c\x66\x56\x65\x63\x74\x6f\x72\x20\x3d\x20\x6e\x6f\x72\x6d\x61\x6c\x69"
  "\x7a\x65\x28\x20\x76\x65\x72\x74\x65\x78\x54\x6f\x43\x61\x6d\x65\x72\x61\x4e"
  "\x6f\x72\x6d\x20\x2b\x20\x76\x65\x72\x74\x65\x78\x54\x6f\x4c\x69\x67\x68\x74"
  "\x4e\x6f\x72\x6d\x20\x29\x3b\x0a\x20\x20\x20\x20\x20\x20\x66\x6c\x6f\x61\x74"
  "\x20\x6e\x6f\x72\x6d\x61\x6c\x44\x6f\x74\x48\x61\x6c\x66\x20\x3d\x20\x64\x6f"
  "\x74\x28\x20\x6e\x6f\x72\x6d\x61\x6c\x2c\x20\x68\x61\x6c\x66\x56\x65\x63\x74"
  "\x6f\x72\x20\x29\x3b\x0a\x20\x20\x20\x20\x20\x20\x69\x66\x28\x20\x6e\x6f\x72"
  "\x6d\x61\x6c\x44\x6f\x74\x48\x61\x6c\x66\x20\x3e\x20\x30\x2e\x30\x20\x29\x0a"
  "\x20\x20\x20\x20\x20\x20\x7b\x0a\x20\x20\x20\x20\x20\x20\x20\x20\x76\x5f\x73"
  "\x70\x65\x63\x75\x6c\x61\x72\x43\x6f\x6c\x6f\x75\x72\x20\x2b\x3d\x20\x70\x6f"
  "\x77\x28\x20\x6e\x6f\x72\x6d\x61\x6c\x44\x6f\x74\x48\x61\x6c\x66\x2c\x20\x75"
  "\x5f\x6d\x5f\x73\x68\x69\x6e\x69\x6e\x65\x73\x73\x20\x29\x20\x2a\x20\x6c\x69"
  "\x67\x68\x74\x4c\x65\x76\x65\x6c\x0a\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20"
  "\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x20\x2a"
  "\x20\x75\x5f\x6c\x5f\x73\x70\x65\x63\x75\x6c\x61\x72\x5b\x69\x5d\x3b\x0a\x20"
  "\x20\x20\x20\x20\x20\x7d\x0a\x0a\x20\x20\x20\x20\x20\x20\x2f\x2f\x20\x53\x69"
  "\x6d\x70\x6c\x79\x20\x61\x64\x64\x20\x61\x6d\x62\x69\x65\x6e\x74\x20\x63\x6f"
  "\x6d\x70\x6f\x6e\x65\x6e\x74\x0a\x20\x20\x20\x20\x20\x20\x76\x5f\x61\x6d\x62"
  "\x69\x65\x6e\x74\x43\x6f\x6c\x6f\x75\x72\x20\x2b\x3d\x20\x6c\x69\x67\x68\x74"
  "\x4c\x65\x76\x65\x6c\x20\x2a\x20\x75\x5f\x6c\x5f\x61\x6d\x62\x69\x65\x6e\x74"
  "\x5b\x69\x5d\x3b\x0a\x20\x20\x20\x20\x7d\x0a\x20\x20\x7d\x0a\x0a\x20\x20\x2f"
  "\x2f\x20\x4d\x75\x6c\x74\x69\x70\x6c\x79\x20\x63\x6f\x6c\x6f\x75\x72\x20\x63"
  "\x6f\x6d\x70\x6f\x6e\x65\x6e\x74\x73\x20\x61\x6c\x72\x65\x61\x64\x79\x20\x63"
  "\x61\x6c\x63\x75\x6c\x61\x74\x65\x64\x20\x62\x79\x20\x74\x68\x65\x69\x72\x20"
  "\x63\x6f\x72\x72\x65\x73\x70\x6f\x6e\x64\x69\x6e\x67\x0a\x20\x20\x2f\x2f\x20"
  "\x6d\x61\x74\x65\x72\x69\x61\x6c\x20\x63\x6f\x6c\x6f\x75\x72\x73\x2e\x20\x20"
  "\x44\x69\x66\x66\x75\x73\x65\x20\x6c\x69\x67\x68\x74\x69\x6e\x67\x20\x66\x6c"
  "\x61\x74\x6e\x65\x73\x73\x20\x69\x73\x20\x64\x65\x74\x65\x72\x6d\x69\x6e\x65"
  "\x64\x20\x62\x79\x20\x74\x68\x65\x20\x73\x65\x6c\x66\x2d\x0a\x20\x20\x2f\x2f"
  "\x20\x69\x6c\x6c\x75\x6d\x69\x6e\x61\x74\x69\x6f\x6e\x20\x76\x61\x6c\x75\x65"
  "\x2e\x0a\x20\x20\x76\x5f\x64\x69\x66\x66\x75\x73\x65\x43\x6f\x6c\x6f\x75\x72"
  "\x20\x3d\x20\x75\x5f\x6d\x5f\x64\x69\x66\x66\x75\x73\x65\x43\x6f\x6c\x6f\x75"
  "\x72\x20\x2a\x20\x28\x20\x75\x5f\x6d\x5f\x73\x65\x6c\x66\x49\x6c\x6c\x75\x6d"
  "\x69\x6e\x61\x74\x69\x6f\x6e\x20\x2b\x0a\x20\x20\x20\x20\x20\x20\x28\x20\x31"
  "\x2e\x30\x20\x2d\x20\x75\x5f\x6d\x5f\x73\x65\x6c\x66\x49\x6c\x6c\x75\x6d\x69"
  "\x6e\x61\x74\x69\x6f\x6e\x20\x29\x20\x2a\x20\x76\x5f\x64\x69\x66\x66\x75\x73"
  "\x65\x43\x6f\x6c\x6f\x75\x72\x20\x29\x3b\x0a\x20\x20\x76\x5f\x73\x70\x65\x63"
  "\x75\x6c\x61\x72\x43\x6f\x6c\x6f\x75\x72\x20\x2a\x3d\x20\x75\x5f\x6d\x5f\x73"
  "\x70\x65\x63\x75\x6c\x61\x72\x43\x6f\x6c\x6f\x75\x72\x20\x2a\x20\x75\x5f\x6d"
  "\x5f\x73\x70\x65\x63\x75\x6c\x61\x72\x4c\x65\x76\x65\x6c\x3b\x0a\x20\x20\x76"
  "\x5f\x61\x6d\x62\x69\x65\x6e\x74\x43\x6f\x6c\x6f\x75\x72\x20\x2a\x3d\x20\x75"
  "\x5f\x6d\x5f\x61\x6d\x62\x69\x65\x6e\x74\x43\x6f\x6c\x6f\x75\x72\x3b\x0a\x0a"
  "\x20\x20\x2f\x2f\x20\x55\x73\x65\x20\x74\x68\x65\x20\x64\x69\x66\x66\x75\x73"
  "\x65\x20\x63\x6f\x6c\x6f\x75\x72\x20\x61\x6c\x70\x68\x61\x20\x61\x6e\x64\x20"
  "\x6f\x70\x61\x63\x69\x74\x79\x20\x61\x73\x20\x74\x68\x65\x20\x27\x6f\x76\x65"
  "\x72\x61\x6c\x6c\x27\x20\x61\x6c\x70\x68\x61\x2e\x0a\x20\x20\x76\x5f\x64\x69"
  "\x66\x66\x75\x73\x65\x43\x6f\x6c\x6f\x75\x72\x2e\x61\x20\x3d\x20\x75\x5f\x6d"
  "\x5f\x64\x69\x66\x66\x75\x73\x65\x43\x6f\x6c\x6f\x75\x72\x2e\x61\x20\x2a\x20"
  "\x75\x5f\x6d\x5f\x6f\x70\x61\x63\x69\x74\x79\x3b\x0a\x0a\x0a\x20\x20\x2f\x2a"
  "\x20\x43\x61\x6c\x63\x75\x6c\x61\x74\x65\x20\x73\x70\x68\x65\x72\x65\x20\x6d"
  "\x61\x70\x20\x65\x6e\x76\x69\x72\x6f\x6e\x6d\x65\x6e\x74\x20\x72\x65\x66\x6c"
  "\x65\x63\x74\x69\x6f\x6e\x2e\x20\x2a\x2f\x0a\x0a\x20\x20\x2f\x2f\x20\x43\x61"
  "\x6c\x63\x75\x6c\x61\x74\x65\x20\x72\x65\x66\x6c\x65\x63\x74\x69\x6f\x6e\x20"
  "\x76\x65\x63\x74\x6f\x72\x20\x28\x76\x69\x65\x77\x20\x76\x65\x63\x74\x6f\x72"
  "\x20\x72\x65\x66\x6c\x65\x63\x74\x65\x64\x20\x6f\x66\x66\x20\x74\x68\x65\x20"
  "\x73\x75\x72\x66\x61\x63\x65\x29\x20\x69\x6e\x0a\x20\x20\x2f\x2f\x20\x77\x6f"
  "\x72\x6c\x64\x20\x73\x70\x61\x63\x65\x0a\x20\x20\x76\x65\x63\x33\x20\x72\x65"
  "\x66\x6c\x65\x63\x74\x57\x6f\x72\x6c\x64\x20\x3d\x20\x2d\x72\x65\x66\x6c\x65"
  "\x63\x74\x28\x20\x76\x65\x72\x74\x65\x78\x54\x6f\x43\x61\x6d\x65\x72\x61\x4e"
  "\x6f\x72\x6d\x2c\x20\x6e\x6f\x72\x6d\x61\x6c\x20\x29\x3b\x0a\x0a\x20\x20\x2f"
  "\x2f\x20\x43\x61\x6c\x63\x75\x6c\x61\x74\x65\x20\x73\x70\x68\x65\x72\x65\x20"
  "\x6d\x61\x70\x20\x74\x65\x78\x74\x75\x72\x65\x20\x63\x6f\x6f\x72\x64\x69\x6e"
  "\x61\x74\x65\x73\x2e\x20\x54\x68\x69\x73\x20\x69\x73\x20\x64\x6f\x6e\x65\x20"
  "\x68\x65\x72\x65\x20\x74\x6f\x20\x67\x61\x69\x6e\x0a\x20\x20\x2f\x2f\x20\x70"
  "\x65\x72\x66\x6f\x72\x6d\x61\x6e\x63\x65\x20\x61\x74\x20\x74\x68\x65\x20\x63"
  "\x6f\x73\x74\x20\x6f\x66\x20\x71\x75\x61\x6c\x69\x74\x79\x2e\x0a\x0a\x20\x20"
  "\x2f\x2f\x20\x43\x61\x6c\x63\x75\x6c\x61\x74\x65\x20\x20\x20\x6d\x20\x3d\x20"
  "\x32\x20\x2a\x20\x73\x71\x72\x74\x28\x20\x72\x2e\x78\x5e\x32\x20\x2b\x20\x72"
  "\x2e\x79\x5e\x32\x20\x2b\x20\x28\x72\x2e\x7a\x20\x2b\x20\x31\x29\x5e\x32\x29"
  "\x0a\x20\x20\x2f\x2f\x20\x53\x65\x65\x20\x68\x74\x74\x70\x3a\x2f\x2f\x77\x77"
  "\x77\x2e\x72\x65\x69\x6e\x64\x65\x6c\x73\x6f\x66\x74\x77\x61\x72\x65\x2e\x63"
  "\x6f\x6d\x2f\x44\x6f\x63\x75\x6d\x65\x6e\x74\x73\x2f\x4d\x61\x70\x70\x69\x6e"
  "\x67\x2f\x4d\x61\x70\x70\x69\x6e\x67\x2e\x68\x74\x6d\x6c\x0a\x0a\x20\x20\x76"
  "\x65\x63\x33\x20\x72\x65\x66\x6c\x65\x63\x74\x43\x61\x6d\x65\x72\x61\x20\x3d"
  "\x20\x28\x75\x5f\x74\x5f\x76\x69\x65\x77\x20\x2a\x20\x76\x65\x63\x34\x28\x20"
  "\x72\x65\x66\x6c\x65\x63\x74\x57\x6f\x72\x6c\x64\x2c\x20\x30\x2e\x30\x20\x29"
  "\x29\x2e\x78\x79\x7a\x3b\x0a\x20\x20\x72\x65\x66\x6c\x65\x63\x74\x43\x61\x6d"
  "\x65\x72\x61\x2e\x7a\x20\x2b\x3d\x20\x31\x2e\x30\x3b\x0a\x20\x20\x66\x6c\x6f"
  "\x61\x74\x20\x6d\x20\x3d\x20\x32\x2e\x30\x20\x2a\x20\x6c\x65\x6e\x67\x74\x68"
  "\x28\x20\x72\x65\x66\x6c\x65\x63\x74\x43\x61\x6d\x65\x72\x61\x20\x29\x3b\x0a"
  "\x0a\x20\x20\x76\x5f\x73\x70\x68\x65\x72\x65\x43\x6f\x6f\x72\x64\x2e\x78\x20"
  "\x3d\x20\x72\x65\x66\x6c\x65\x63\x74\x43\x61\x6d\x65\x72\x61\x2e\x78\x20\x2f"
  "\x20\x6d\x20\x2b\x20\x30\x2e\x35\x3b\x0a\x20\x20\x76\x5f\x73\x70\x68\x65\x72"
  "\x65\x43\x6f\x6f\x72\x64\x2e\x79\x20\x3d\x20\x31\x2e\x30\x20\x2d\x20\x28\x20"
  "\x72\x65\x66\x6c\x65\x63\x74\x43\x61\x6d\x65\x72\x61\x2e\x79\x20\x2f\x20\x6d"
  "\x20\x2b\x20\x30\x2e\x35\x20\x29\x3b\x0a\x7d\x0a";
